Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158921 - [IM] IM is deactivated forcibly after clicking
Summary: [IM] IM is deactivated forcibly after clicking
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC5Blocker FC4Update
TreeView+ depends on / blocked
 
Reported: 2005-05-26 20:55 UTC by Akira TAGOH
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 1.9.121-3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-28 15:21:56 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenOffice.org 45768 None None None Never

Description Akira TAGOH 2005-05-26 20:55:21 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050517 Firefox/0.8 StumbleUpon/1.999 (Debian package 1.0.4-2)

Description of problem:
Input Method is deactivated when I press a left button during preediting. it didn't happens on OOo 1.1.x and is obviously an regression bug.

Version-Release number of selected component (if applicable):
openoffice.org-*-1.9.104-2 + test libs.

How reproducible:
Always

Steps to Reproduce:
1.press ctrl+space
2.type something
3.press a left button
  

Actual Results:  no strings are committed and IM is deactivated. needs to press ctrl+space again to input the native language.

Expected Results:  strings in preedit buffer should be committed and IM should be still activated.

Additional info:

Comment 1 Caolan McNamara 2005-07-28 15:21:56 UTC
I think this is fine now in 1.9.121-3 rawhide, can you confirm ?


Note You need to log in before you can comment on or make changes to this bug.